Page MenuHomePhabricator

add CI job into operations/deployments-charts repo that helm lint packages and perform the helm index after merge.
Open, LowPublic

Description

Right now uploading a helm chart involves the following steps:

  1. Add a new CR for deployment-charts with the Helm template content.
  2. after merge, package the chart and generate a tgz release. Perform a helm repo index to update the index and add the new generated index to the commit
  3. after merge run puppet-agent to update the content

We should add CI on deployment-charts and for every commit do a helm lint, after commit gets merged another CI job should package the released tgz and update the index on repo.

Event Timeline

fsero created this task.Feb 13 2019, 4:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 4:24 PM
Joe triaged this task as Low priority.Jun 24 2019, 3:35 PM

Change 519260 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [helm-linter] Initial version

https://gerrit.wikimedia.org/r/519260

Change 519261 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Provide a helm-limt job

https://gerrit.wikimedia.org/r/519261

Change 519262 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [{local,deployment}-charts] Provide an experimental helm linter

https://gerrit.wikimedia.org/r/519262

Change 519260 merged by jenkins-bot:
[integration/config@master] dockerfiles: [helm-linter] Initial version

https://gerrit.wikimedia.org/r/519260

Mentioned in SAL (#wikimedia-releng) [2019-06-26T17:55:03Z] <James_F> Pushing initial helm-linter docker image for T216049

Change 519261 merged by jenkins-bot:
[integration/config@master] jjb: Provide a helm-limt job

https://gerrit.wikimedia.org/r/519261

Change 519262 merged by jenkins-bot:
[integration/config@master] layout: [{local,deployment}-charts] Provide an experimental helm linter

https://gerrit.wikimedia.org/r/519262

Mentioned in SAL (#wikimedia-releng) [2019-06-26T17:57:18Z] <James_F> Adding the experimental helm-lint job to deployment-charts T216049